description: >
    Implement this to add Hardware dump management.

    Hardware dump is a collection hardware state information,
    including various registers, and it is used for debugging
    system checkstop. checkstop is the descriptive term for
    entire system termination by the hardware due to a detected error.
